vbuf.h File Reference
`#include "common.h"`
Include dependency graph for vbuf.h:

Go to the source code of this file.

## Data Structures

struct | pst_varbuf

## Typedefs

typedef struct pst_varbuf | pst_vbuf

## Functions

pst_vbuf * | pst_vballoc (size_t len)
void | pst_vbgrow (pst_vbuf *vb, size_t len)
void | pst_vbset (pst_vbuf *vb, void *data, size_t len)
void | pst_vbappend (pst_vbuf *vb, void *data, size_t length)
void | pst_unicode_init ()
size_t | pst_vb_utf16to8 (pst_vbuf *dest, const char *inbuf, int iblen)
size_t | pst_vb_utf8to8bit (pst_vbuf *dest, const char *inbuf, int iblen, const char *charset)
size_t | pst_vb_8bit2utf8 (pst_vbuf *dest, const char *inbuf, int iblen, const char *charset)

## Typedef Documentation

## pst_vbuf

typedef struct pst_varbuf pst_vbuf

Definition at line 17 of file vbuf.h.

## Function Documentation

## pst_unicode_init()

void pst_unicode_init | ( |  | ) |

## pst_vb_8bit2utf8()

size_t pst_vb_8bit2utf8 | ( | pst_vbuf * | dest,
|  | const char * | inbuf,
|  | int | iblen,
|  | const char * | charset
| ) |  |

## pst_vb_utf16to8()

size_t pst_vb_utf16to8 | ( | pst_vbuf * | dest,
|  | const char * | inbuf,
|  | int | iblen
| ) |  |

## pst_vb_utf8to8bit()

size_t pst_vb_utf8to8bit | ( | pst_vbuf * | dest,
|  | const char * | inbuf,
|  | int | iblen,
|  | const char * | charset
| ) |  |

## pst_vballoc()

pst_vbuf* pst_vballoc | ( | size_t | len | ) |

## pst_vbappend()

void pst_vbappend | ( | pst_vbuf * | vb,
|  | void * | data,
|  | size_t | length
| ) |  |

## pst_vbgrow()

void pst_vbgrow | ( | pst_vbuf * | vb,
|  | size_t | len
| ) |  |

## pst_vbset()

void pst_vbset | ( | pst_vbuf * | vb,
|  | void * | data,
|  | size_t | len
| ) |  |